import { Connection } from '@salesforce/core';
import { MetadataInfo } from '../types';
import { Processor } from './processor';
export default class LayoutProcessor implements Processor {
    private metadataInfo;
    private connection;
    private cacheFolder;
    constructor(metadataInfo: MetadataInfo, connection: Connection);
    getMetadata(): Promise<string>;
    getCachedFilePath(): Promise<string>;
    getMdFileName(): string;
}
